<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ActivateModem StructType
 * @subpackage Structs
 */
class ActivateModem extends AbstractStructBase
{
    /**
     * The modemSerial
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $modemSerial;
    /**
     * Constructor method for ActivateModem
     * @uses ActivateModem::setModemSerial()
     * @param string $modemSerial
     */
    public function __construct($modemSerial = null)
    {
        $this
            ->setModemSerial($modemSerial);
    }
    /**
     * Get modemSerial value
     * @return string|null
     */
    public function getModemSerial()
    {
        return $this->modemSerial;
    }
    /**
     * Set modemSerial value
     * @param string $modemSerial
     * @return \CustomerManagement\StructType\ActivateModem
     */
    public function setModemSerial($modemSerial = null)
    {
        // validation for constraint: string
        if (!is_null($modemSerial) && !is_string($modemSerial)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modemSerial, true), gettype($modemSerial)), __LINE__);
        }
        $this->modemSerial = $modemSerial;
        return $this;
    }
}
